Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1023572 - Header location should be moved
Summary: Header location should be moved
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: compat-SFML16
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 997679
TreeView+ depends on / blocked
 
Reported: 2013-10-25 19:24 UTC by Michael Schwendt
Modified: 2013-11-24 03:57 UTC (History)
4 users (show)

Fixed In Version: compat-SFML16-1.6-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-24 03:57:17 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2013-10-25 19:24:00 UTC
In order to make the compat-SFML16 package parallel-installable with package "SFML" 2.x, the headers in package SFML have been moved to a versioned subdir. That has broken the included CMake scripts in package SFML, which haven't been patched.

Instead, the headers in the old compat-SFML16 should be moved, so package SFML can be left unchanged. SFML cannot move back to /usr/include before compat-SFML16 has moved its headers, since that would cause a conflict.

Suggest topdir for the headers: /usr/include/sfml1  instead of /usr/include
Patch below.


Only two packages use compat-SFML16-devel, and those are maintained at rpmfusion. One of them, vbam, is slightly broken with regard to locating the SFML headers and only builds if they are found in /usr/include. It uses an own CMake script to locate SFML, e.g. at a moved location,

  SFML_SYSTEM_INCLUDE_DIR:PATH=/usr/include/sfml1/SFML

but because of the /SFML dir at the end, the source code would not manage to include the headers:

$ grep \<SFML * -R
src/gba/GBASockClient.h:#include <SFML/Network.hpp>
src/gba/GBALink.h:#include <SFML/System.hpp>
src/gba/GBALink.h:#include <SFML/Network.hpp>


diff -u compat-SFML16.spec.orig compat-SFML16.spec
--- compat-SFML16.spec.orig	2013-10-25 20:17:27.000000000 +0200
+++ compat-SFML16.spec	2013-10-25 21:12:05.763709456 +0200
@@ -63,7 +63,7 @@
 
 %install
 make install DESTDIR=$RPM_BUILD_ROOT DESTLIBDIR=$RPM_BUILD_ROOT%{_libdir} \
-    DESTINCDIR=$RPM_BUILD_ROOT%{_includedir}
+    DESTINCDIR=$RPM_BUILD_ROOT%{_includedir}/sfml1
 find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
 
 
@@ -78,7 +78,7 @@
 
 %files devel
 %doc doc/*
-%{_includedir}/SFML
+%{_includedir}/sfml1/
 %{_libdir}/*.so

Comment 1 Fedora Update System 2013-11-16 08:11:36 UTC
compat-SFML16-1.6-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/compat-SFML16-1.6-3.fc20

Comment 2 Fedora Update System 2013-11-17 07:01:52 UTC
Package compat-SFML16-1.6-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing compat-SFML16-1.6-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21543/compat-SFML16-1.6-3.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-11-18 10:16:19 UTC
compat-SFML16-1.6-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/compat-SFML16-1.6-4.fc20

Comment 4 Fedora Update System 2013-11-24 03:57:17 UTC
compat-SFML16-1.6-4.fc20, SFML-2.0-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.